Bug 1313097 - [ENG](6.2.z)Repository listing and File explorer in Adminstration perspective were often out of sync
[ENG](6.2.z)Repository listing and File explorer in Adminstration perspective...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: CR1
: 6.2.3
Assigned To: Toni Rikkola
jsoltes
:
Depends On: 1304447 1313095
Blocks: 1327763 1327765
  Show dependency treegraph
 
Reported: 2016-02-29 18:12 EST by Alessandro Lazarotti
Modified: 2016-05-04 09:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313095
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-02-29 18:12:43 EST
+++ This bug was initially created as a clone of Bug #1313095 +++

Description of problem:
Repository listing and File explorer in Adminstration perspective were often out of sync. Listing showed one branch while the File Explorer was showing another. 

More information at: 
https://bugzilla.redhat.com/show_bug.cgi?id=1304447#c4

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from JBoss Product and Program Management on 2016-02-29 18:10:20 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Jiri Locker 2016-04-13 07:25:33 EDT
Resetting target release and milestone as this ticket is intended for 6.2.x stream.

The commits are already on 6.3.x community branch but they seem to not have been cherry-picked to product repository due to the incorrect target release and milestone fields.

Alessandro, you might want to propose this ticket for the next 6.2.x rollup patch.
Comment 5 Lukáš Petrovický 2016-04-14 03:57:31 EDT
This belongs to 6.2.3.
Comment 6 jsoltes 2016-05-04 09:06:10 EDT
This seems to be not fixed yet. I tried it for repository with two branches (master and dev). When the branch was changed in Authoring perspective, the change wasn't reflected in the repository list in Administration perspective and vice versa. I am not sure though that this was the original bug, since there is no detailed description or steps to reproduce. Can you please confirm that the synchronization was expected (not) to work this way?
Comment 7 Toni Rikkola 2016-05-04 09:13:52 EDT
This is how it should work now. 
The branch selector in Administration changes the branch inside Administration and the one in Authoring changes it in Authoring. 
Neither of them should have any effect on the other perspective.
Comment 8 jsoltes 2016-05-04 09:33:34 EDT
Thank you for the info, Toni. The File Explorer and the Repository list in Administration perspective are now in sync (after hitting the update button next to the branch). Verified on BRMS 6.2.3.CR1.

Note You need to log in before you can comment on or make changes to this bug.